<?php

	if(isset($_GET['id'])) {
		$id = intval($_GET['id']);
		if(isset($_GET['access']) && $_GET['access'] == ACCESS) {
			$message = DB :: $pdo -> queryFetch("SELECT * FROM `{$table}` WHERE `id` = ? LIMIT 1;", [$id]);
			if(isset($message['id'])) {
				if($message['id_user'] == $user['id'] || $accessEdit) {
					DB :: $pdo -> query("DELETE FROM `{$table}` WHERE `id` = ?;",[$id]);
					system :: redirect("Сообщение успешно удалено.","/arbour");
				} else { $errMsg = "Ошибка доступа."; }
			} else { $errMsg = "Сообщение не найдено."; }
		} else { $errMsg = "Вероятно Вам подкинули эту ссылку."; }
	}
?>
